//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <registry.hpp>

#include "Global2.h"
#include "MainWins.h"
#include "StatsWins.h"
#include "StatsWins2.h"
#include "StatsWins3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainWin *MainWin;
AnsiString MixDir;
//---------------------------------------------------------------------------
__fastcall TMainWin::TMainWin(TComponent* Owner)
        : TForm(Owner)
{
   Application->ShowMainForm = false;

   TRegistry *reg = new TRegistry();
   if (!reg->OpenKey("Software\\Mixmaster", false))
   {
      ShowMessage(
         "Mixmaster is not installed on this computer! Without it, I cannot continue!"
      );
      PostMessage(Handle, WM_QUIT, 0, 0);
      delete reg;
      return;
   }

   MixDir = reg->ReadString("MixDir");
   if (MixDir.Length() && MixDir.SubString(MixDir.Length(), 1) != '\\')
      MixDir += '\\';
   delete reg;

   bool autosave = false;
   AnsiString filename, urlname;

   for (int i = 1; i <= ParamCount(); i++)
   {
      AnsiString param = ParamStr(i).LowerCase();
      if (param == "autosave")
      {
         autosave = true;
         continue;
      }
      if (param.Pos("page=") == 1)
      {
         filename = param.SubString(6, 256);
         continue;
      }
      if (param.Pos("url=") == 1)
      {
         urlname = param.SubString(5, 256);
         continue;
      }
   }
   DownloadURL3(this, filename, urlname, autosave);
   /*int x = 2;
   switch (x)
   {
      case 1: DownloadURL3(this, "http://quicksilver.skuz.net"); break;
      case 2: DownloadURL3(this, "http://stats.melontraffickers.com/mlist.html"); break;
      case 3: DownloadURL3(this, "http://stats.melontraffickers.com/pubring.mix"); break;
      case 4: DownloadURL3(this, "http://stats.melontraffickers.com/type2.list"); break;
      case 5: DownloadURL3(this, "http://stats.melontraffickers.com/rlist.txt"); break;
      case 6: DownloadURL3(this, "http://stats.melontraffickers.com/pgp-all.asc"); break;
   }*/
}
//---------------------------------------------------------------------------

