//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Global2.h"
#include "RemailerDlgs.h"
#include "RemailerAdvDlgs.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TRemailerDlg *RemailerDlg;
//---------------------------------------------------------------------------

void __fastcall OpenRemailerDialog(TForm *Owner, const AnsiString &MixmasterDir)
{
   RemailerDlg = new TRemailerDlg(Owner, MixmasterDir);
   RemailerDlg->ShowModal();
   delete RemailerDlg;
}

//---------------------------------------------------------------------------
//TRemailerDlg
//---------------------------------------------------------------------------

__fastcall TRemailerDlg::TRemailerDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

__fastcall TRemailerDlg::TRemailerDlg(TComponent* Owner, const AnsiString &MixmasterDir)
	: TForm(Owner)
{
   MixDir = MixmasterDir;
   TStringList *URLs = new TStringList();
   if (FileExists(MixDir + URLFileName))
      URLs->LoadFromFile(MixDir + URLFileName);

   int i = 0; while (i < URLs->Count)
   {
      AnsiString URL = URLs->Strings[i].Trim();
      if (URL.Pos("[") == 1)
      {
         SourceCBox->Items->Add(URL.SubString(2, URL.Length() - 2));
      }
      i++;
   }
   SourceCBox->ItemIndex = 0;

   delete URLs;
}
//---------------------------------------------------------------------------

void __fastcall TRemailerDlg::SelectURLsFor(AnsiString Source)
{
   TStringList *urls = new TStringList();
   //Global->DB->LoadRemailerURLsBySource(Source,urls);
   //PubringCBox->ItemIndex = PubringCBox->Items->IndexOf(urls->Values["pubring.mix"]);
   MlistCBox->ItemIndex = MlistCBox->Items->IndexOf(urls->Values["mlist.txt"]);
   delete urls;
}
//---------------------------------------------------------------------------
void __fastcall TRemailerDlg::SourceCBoxChange(TObject *Sender)
{
   SelectURLsFor(SourceCBox->Text);
}
//---------------------------------------------------------------------------
AnsiString __fastcall TRemailerDlg::URLsSameSource()
{
   AnsiString source,item;
   TStringList *urls = new TStringList();
   //AnsiString mlisttxt="mlist.txt="+MlistCBox->Text,pubringmix="pubring.mix="+PubringCBox->Text;
   for (int i=0; i<SourceCBox->Items->Count; i++)
   {
      item = SourceCBox->Items->Strings[i];
      //Global->DB->LoadRemailerURLsBySource(item,urls);
      /*if (urls->IndexOf(mlisttxt)>=0 && urls->IndexOf(pubringmix)>=0)
      {
         source = item;
         break;
      }*/
   }
   delete urls;
   return source;
}
//---------------------------------------------------------------------------
void __fastcall TRemailerDlg::DocCBoxChange(TObject *Sender)
{
   SourceCBox->ItemIndex = SourceCBox->Items->IndexOf(URLsSameSource());
}
//---------------------------------------------------------------------------
void __fastcall TRemailerDlg::AdvancedOptsBtnClick(TObject *Sender)
{
   OpenRemailerAdvancedOpts(this);
}
//---------------------------------------------------------------------------