//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <IniFiles.hpp>

#include "Global2.h"
#include "StatsOptionsDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TStatsOptionsDlg *StatsOptionsDlg;
//---------------------------------------------------------------------------

bool __fastcall OpenOptionsDlg(TForm *Owner, bool &BarNewRemailers, TColor &BackColor,
   AnsiString &WinsFontStr, AnsiString &DlgsFontStr, AnsiString &EditFontStr)
{
   StatsOptionsDlg = new TStatsOptionsDlg(Owner);
   StatsOptionsDlg->ShowModal();

   BarNewRemailers = StatsOptionsDlg->BarNewBox->Checked;
   BackColor = StatsOptionsDlg->WorkColor->Color;
   WinsFontStr = StatsOptionsDlg->WinsFontStr;
   DlgsFontStr = StatsOptionsDlg->DlgsFontStr;
   EditFontStr = StatsOptionsDlg->EditFontStr;

   delete StatsOptionsDlg;
   return true;
}
//---------------------------------------------------------------------------

__fastcall TStatsOptionsDlg::TStatsOptionsDlg(TComponent* Owner)
        : TForm(Owner)
{
   PageControl->ActivePage = TabSheet1;

   TIniFile *ini = new TIniFile(AppIni());

   AutoLoadBox->Checked = ini->ReadBool(StatsIni, "autoload", true);
   PosScrCenter->Checked = ini->ReadBool(StatsIni, "windowcentered", false);
   BarNewBox->Checked = ini->ReadBool(StatsIni, "barnew", false);
   CascadeStatsBox->Checked = ini->ReadBool(StatsIni, "cascadestatsonly", true);
   CascadeBox->Checked = ini->ReadBool(StatsIni, "cascade", true);
   WorkColor->Color = (TColor)ini->ReadInteger(StatsIni, QSWINDOWCOLOR, QSWINDOWCOLORDEF);

   WinsFontStr = ini->ReadString(StatsIni, QSWINDOWFONT, QSWINDOWFONTDEF);
   DlgsFontStr = ini->ReadString(StatsIni, QSDIALOGFONT, QSDIALOGFONTDEF);
   EditFontStr = ini->ReadString(StatsIni, QSEDITORFONT, QSEDITORFONTDEF);
   StrToFont(DlgsFontStr, Font);

   UpDown1->Position = (short)ini->ReadInteger(StatsIni, "timeoutseconds", DefHTTPTimeOut);
   if (UpDown1->Position <= 0)
      UpDown1->Position = DefHTTPTimeOut;

   StrToFontBox(WinsFontStr, Name1, Size1, Style1, Color1);
   StrToFontBox(DlgsFontStr, Name2, Size2, Style2, Color2);
   StrToFontBox(EditFontStr, Name6, Size6, Style6, Color6);

   delete ini;
}
//---------------------------------------------------------------------------

__fastcall TStatsOptionsDlg::~TStatsOptionsDlg()
{
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::FormCloseQuery(TObject *, bool &)
{
   TIniFile *ini = new TIniFile(AppIni());

   ini->WriteBool(StatsIni, "barnew", BarNewBox->Checked);
   ini->WriteBool(StatsIni, "cascadestatsonly", CascadeStatsBox->Checked);
   ini->WriteBool(StatsIni, "cascade", CascadeBox->Checked);
   ini->WriteBool(StatsIni, "autoload", AutoLoadBox->Checked);
   ini->WriteBool(StatsIni, "windowcentered", PosScrCenter->Checked);
   ini->WriteInteger(StatsIni, QSWINDOWCOLOR, WorkColor->Color);

   ini->WriteString(StatsIni, QSWINDOWFONT, WinsFontStr);
   ini->WriteString(StatsIni, QSDIALOGFONT, DlgsFontStr);
   ini->WriteString(StatsIni, QSEDITORFONT, EditFontStr);

   ini->WriteInteger(StatsIni, "timeoutseconds", TimeOut->Text.ToIntDef(DefHTTPTimeOut));

   delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::CascadeBoxClick(TObject *)
{
   if (CascadeBox->Checked) CascadeStatsBox->Enabled = true;
   else
   {
      CascadeStatsBox->Enabled = false;
      CascadeStatsBox->Checked = false;
   }
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::WorkColorBtnClick(TObject *)
{
   ColorDialog->Color = WorkColor->Color;
   if (ColorDialog->Execute())
   {
      WorkColor->Color = ColorDialog->Color;
   }
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::WinFontBtnClick(TObject *)
{
   StrToFont(WinsFontStr, FontDialog->Font);
   if (FontDialog->Execute())
   {
      WinsFontStr = FontToStr(FontDialog->Font);
      StrToFontBox(WinsFontStr, Name1, Size1, Style1, Color1);
   }
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::DlgFontBtnClick(TObject *)
{
   StrToFont(DlgsFontStr, FontDialog->Font);
   if (FontDialog->Execute())
   {
      DlgsFontStr = FontToStr(FontDialog->Font);
      StrToFontBox(DlgsFontStr, Name2, Size2, Style2, Color2);
      Font->Assign(FontDialog->Font);
   }
}
//---------------------------------------------------------------------------

void __fastcall TStatsOptionsDlg::EditFontBtnClick(TObject *)
{
   StrToFont(EditFontStr, FontDialog->Font);
   if (FontDialog->Execute())
   {
      EditFontStr = FontToStr(FontDialog->Font);
      StrToFontBox(EditFontStr, Name6, Size6, Style6, Color6);
   }
}
//---------------------------------------------------------------------------


