//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Global2.h"
#include "StatsWins3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TStatsWin3 *StatsWin3;
//--------------------------------------------------------------------------

void __fastcall DownloadURL3(TForm *Owner, const AnsiString &FileName,
    const AnsiString &URLName, bool AutoSave)
{
   StatsWin3 = new TStatsWin3(Owner);
   StatsWin3->Caption = ExtractFileName(FileName);
   StatsWin3->URLBox->Text = URLName;
   StatsWin3->FileName = FileName;
   StatsWin3->AutoSave = AutoSave;
   StatsWin3->Show();
}

//--------------------------------------------------------------------------
// TStatsWin3
//--------------------------------------------------------------------------

__fastcall TStatsWin3::TStatsWin3(TComponent* Owner)
        : TForm(Owner)
{
   ActiveControl = Panel1;
   HTTP = new THTTPFrame(this);
   HTTP->Parent = this;

   CancelBtn->Left = GetBtn->Left;
   CancelBtn->Top = GetBtn->Top;
   CancelBtn->Visible = false;
   AutoSave = false;
   Cancel = false;
}
//---------------------------------------------------------------------------

__fastcall TStatsWin3::~TStatsWin3()
{
   delete HTTP;
}
//---------------------------------------------------------------------------

void __fastcall TStatsWin3::FormClose(TObject *Sender, TCloseAction &Action)
{
   Application->MainForm->Close();
   Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall TStatsWin3::GetBtnClick(TObject *Sender)
{
   SaveBtn->Enabled = false;
   GetBtn->Visible = false;
   CancelBtn->Visible = true;
   bool ok = HTTP->GetURL(URLBox->Text);
   CancelBtn->Visible = false;
   GetBtn->Visible = true;
   SaveBtn->Enabled = ok;
}
//---------------------------------------------------------------------------

void __fastcall TStatsWin3::SaveBtnClick(TObject *Sender)
{
   AnsiString text = HTTP->GetPlainText();
   view(text);
}
//---------------------------------------------------------------------------

void __fastcall TStatsWin3::CancelBtnClick(TObject *Sender)
{
   if (HTTP->Busy()) HTTP->Cancel();
   CancelBtn->Visible = false;
   GetBtn->Visible = true;
   Cancel = true;
}
//---------------------------------------------------------------------------

void __fastcall TStatsWin3::Exit1Click(TObject *Sender)
{
   Application->MainForm->Close();
   Close();
}
//---------------------------------------------------------------------------

