//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ViewBarredDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TViewBarredDlg *ViewBarredDlg;
//---------------------------------------------------------------------------

bool __fastcall ViewBarredRemailersSource(TForm *Owner, const AnsiString &FileName)
{
   ViewBarredDlg = new TViewBarredDlg(Owner, FileName);
   ViewBarredDlg->ShowModal();
   bool ok = ViewBarredDlg->ModalResult == mrOk;
   delete ViewBarredDlg;
   return ok;
}
//---------------------------------------------------------------------------

__fastcall TViewBarredDlg::TViewBarredDlg(TComponent* Owner)
        : TForm(Owner)
{

}
//---------------------------------------------------------------------------

__fastcall TViewBarredDlg::TViewBarredDlg(TComponent* Owner, const AnsiString &FileName)
        : TForm(Owner)
{
   Editor->Clear();
   BarredFile = FileName.LowerCase();
   Caption = BarredFile;

   if (FileExists(BarredFile))
      Editor->Lines->LoadFromFile(BarredFile);

   if (Editor->Lines->Count == 0)
   {
      Editor->Lines->Add("[mixmaster]");
      Editor->Lines->Add("");
      Editor->Lines->Add("[cypherpunk]");
   }

   Editor->Modified = false;
}
//---------------------------------------------------------------------------

bool __fastcall TViewBarredDlg::Modified()
{
   return ModalResult == mrOk && Editor->Modified;
}
//---------------------------------------------------------------------------
