//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "WebPageDlgs.h"
#include "HTTPobj.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TWebPageDlg *WebPageDlg;
//---------------------------------------------------------------------------

bool __fastcall GetWebPage(TForm *Owner, const AnsiString &URL, const AnsiString &Title,
   const AnsiString &Question, TStrings *Page)
{
   WebPageDlg = new TWebPageDlg(Owner);
   WebPageDlg->Question->Caption = Question;
   WebPageDlg->Caption = Title;
   WebPageDlg->URL = URL;
   WebPageDlg->ShowModal();

   bool ok = WebPageDlg->ModalResult == mrOk;
   if (ok)
   {
      Page->AddStrings(WebPageDlg->Page);
   }

   return ok;
}
//---------------------------------------------------------------------------

__fastcall TWebPageDlg::TWebPageDlg(TComponent* Owner)
        : TForm(Owner)
{
   Page = new TStringList();
}
//---------------------------------------------------------------------------

__fastcall TWebPageDlg::~TWebPageDlg()
{
   delete Page;
}
//---------------------------------------------------------------------------

void __fastcall TWebPageDlg::GetProxies()
{
}
//---------------------------------------------------------------------------

void __fastcall TWebPageDlg::OkBtnClick(TObject *Sender)
{
   Page->Clear();
   Cancel = false;
   Working = true;
   OkBtn->Enabled = false;
   int result = HTTPDownloadPage(this, URL, page, ProgressBar, NULL, &Cancel);
   OkBtn->Enabled = true;
   Working = false;

   if (Cancel)
   {
      ModalResult = mrCancel;
      return;
   }

   if (result != HTTPOk)
   {
      MsgBox(this, page->Strings[0] + "    ", "HTTP Error", MB_OK);
      ModalResult = mrCancel;
      return;
   }

   TrimNulls(Page);
   assert(Page->Count > 0);

   ModalResult = mrOk;
}
//---------------------------------------------------------------------------

void __fastcall TWebPageDlg::CancelBtnClick(TObject *Sender)
{
   if (!working) ModalResult = mrCancel;
   else Cancel = true;
}
//---------------------------------------------------------------------------
